> This page is for North America.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://trustly.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://trustly.ferndocs.com/_mcp/server.

# Deposit Transaction

POST https://sandbox.trustly.one/api/v1/transactions/{transactionId}/deposit
Content-Type: application/x-www-form-urlencoded

Deposit sends money amounts (minimum of 0.99) to a customer bank account of a previously authorized Disbursement or Deferred transaction.

This operation creates a new transaction called a Deposit transaction. It is linked to the disbursement payment.

You can create multiple Deposit transactions against a single Disbursement or Deferred Authorization so long as the amount doesn't exceed the total of the Authorization.

Ensure you also implement an Event Notification Handler to get transaction status updates.

Reference: https://trustly.ferndocs.com/api-reference/api/transactions/post-transactions-deposit

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `transactionId` (string, required)

### Body (application/x-www-form-urlencoded)

This endpoint expects an object.

- `merchantReference` (string, required) — A specific merchant reference for this deposit. For example, this could be a merchant order number or the same merchant reference value used in the original establish call.
- `amount` (double, optional) — The amount to be sent. (maximum of 10 characters with support for 2 decimal places)
- `instantPayoutRequest` (boolean, optional) — Whether instant payout for the deposit will be attempted.
- `externalTier` (string, optional) — The merchant's tier associated with the customer (e.g. vip).

## Response

### 200

OK

- `required` (any, optional)
- `transactionId` (string, optional) — A unique transaction identifier generated by Trustly (15 character max).
- `transactionType` (enum, optional) — Type of transaction record. Definitions and descriptions can be found in [this table](https://amer.developers.trustly.com/payments/docs/type-definitions#transaction-types)
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `10`
- `payment` (Payment, optional) — A Trustly Payment
- `currency` (enum, optional) — 3-letter ISO Currency Code. Currently only USD is supported.
  - Allowed values: `USD`
- `amount` (string, optional) — The amount of the transaction. (10 characters with support for 2 decimal places)
- `pending` (string, optional) — The total amount that is still pending completion. (10 characters with support for 2 decimal places)
- `paid` (string, optional) — The total amount that was already paid. (10 characters with support for 2 decimal places)
- `refunded` (string, optional) — The total amount that was refunded. (10 characters with support for 2 decimal places)
- `reversed` (string, optional) — The total amount that was reversed. (10 characters with support for 2 decimal places)
- `balance` (string, optional) — The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)
- `paymentProviderTransaction` (PaymentProviderTransaction, optional) — Payment Provider Transaction
- `status` (enum, optional) — Status code of the Payment Provider Transaction record. Definitions and descriptions can be found in [this table](https://amer.developers.trustly.com/payments/docs/type-definitions#transaction-status-values)
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `10`, `11`, `12`, `13`, `14`
- `statusMessage` (string, optional) — A descriptive status message. (120 characters)
- `ip` (string, optional) — The client IP address in IPv4 or IPv6 format.
- `createdAt` (integer, optional) — The date and time the transaction was created as a UNIX timestamp.
- `processedAt` (integer, optional) — The date and time the transaction was processed as a UNIX timestamp.
- `completedAt` (integer, optional) — The date and time the transaction was completed as a UNIX timestamp.
- `updatedAt` (integer, optional) — The date and time the transaction was last updated as a UNIX timestamp.
- `ppTrxId` (string, optional) — internal use only
- `merchantReference` (string, optional) — Merchants internal reference id for the transaction.
- `expiredAt` (integer, optional) — The date and time the preauthorization will expire as a UNIX timestamp.
- `recordVersion` (double, optional) — The current record version.
- `originalTransactionId` (string, optional)
- `fee` (string, optional)
- `timeZone` (string, optional)
- `representmentScheduledAt` (double, optional)
- `paymentProcessorType` (string, optional)
- `statusCode` (string, optional)
- `preAuthorized` (boolean, optional)

## Types

### Payment

A Trustly Payment

- `required` (any, optional)
- `paymentId` (string, optional) — A unique payment identifier generated by Trustly (15 character max).
- `paymentType` (enum, optional) — Financial Institution Account Type: * `1`: Instant - Instant payment. The debit instruction is automatically initiated with that day's batch after consumer authorization. * `2`: Deferred - Deferred payment. Payment is authorized but the capture operation must be called to initiate the debit. You can start to initiate multiple captures that are less than or equal to the original transaction authorization amount. * `3`: Recurring - Recurring payment. Same as deferred but associated to a payment agreement between consumer and merchant that defines how much and when the capture can be started. * `4`: Disbursement - Disbursement payment. This payment type can only be used for disbursements. * `5`: Verification - This payment type is used to verify the customer financial institution account as the payments will be done outside of the Trustly system. * `6`: Retrieval Data retrieval. This payment type is used to retrieve account and user information from Trustly without an associated payment request. This payment type is not enabled by default. Contact Trustly if you need this feature.
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`
- `merchant` (PaymentMerchant, optional)
- `merchantReference` (string, optional) — An external reference from the merchant. Ex: Order identifier from merchant e-commerce application.
- `merchantId` (string, optional) — Your Trustly Merchant Id. It will be provided to you.
- `fingerprint` (string, optional) — Internal use only
- `verification` (Verification, optional)
- `account` (Account, optional)
- `description` (string, optional) — A summary description of the order.
- `returnUrl` (string, optional) — Return URL provided with the bank authorization.
- `cancelUrl` (string, optional) — Cancel URL provided with the bank authorization.
- `currency` (enum, optional) — 3-letter ISO Currency Code. Currently only USD is supported.
  - Allowed values: `USD`
- `amount` (string, optional) — The total amount of the order, including tax and shipping. If transactionType is Recurring, this is the Setup Fee Amount.
- `paymentProvider` (PaymentProvider, optional) — Details of the Financial institution
- `allowedPaymentProviderType` (list of integer, optional)
- `auth` (PaymentAuth, optional)
- `authorization` (string, optional) — Authorization token.
- `authorizationStatus` (double, optional) — Status of the related bank authorization. See Transaction Status Values.
- `authorizationStatusMessage` (string, optional) — Status message of the related bank authorization.
- `pending` (string, optional) — The total amount that is still pending completion. (10 characters with support for 2 decimal places)
- `paid` (string, optional) — The total amount that was already paid. (10 characters with support for 2 decimal places)
- `refunded` (string, optional) — The total amount that was refunded. (10 characters with support for 2 decimal places)
- `reversed` (string, optional) — The total amount that was reversed. (10 characters with support for 2 decimal places)
- `balance` (string, optional) — The balance of the amount paid, minus the amount reversed and/or refunded. (10 characters with support for 2 decimal places)
- `createdAt` (integer, optional) — The date and time the transaction was created as a UNIX timestamp.
- `updatedAt` (integer, optional) — The date and time the transaction was last updated as a UNIX timestamp.
- `recordVersion` (double, optional) — The current record version.
- `paymentFlow` (double, optional) — internal use only
- `customer` (Customer, optional) — The Trustly customer object, containing identification details and contact information.
- `address` (Address, optional) — Valid mailing or billing address associated with the customer
- `recurrence` (Recurrence, optional) — Recurring payment options
- `system` (enum, optional) — Financial Institution Account Type: * `-1`: None * `1`: PayWithMyBank * `2`: TrustlyAB
  - Allowed values: `-1`, `1`, `2`
- `country` (enum, optional) — 2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.
  - Allowed values: `US`, `CA`, `UK`, `DE`, `AU`
- `paymentProviderSubtype` (enum, optional) — Payment Provider Subtype: * `1000`: EasyOnline * `2000`: MEC * `2001`: MCD
  - Allowed values: `1000`, `2000`, `2001`

### PaymentProviderTransaction

Payment Provider Transaction

- `paymentProviderTransactionId` (string, optional) — Unique payment provider transaction identifier.
- `status` (string, optional) — See Payment Provider Transaction Status Codes.
- `statusMessage` (string, optional) — Payment provider transaction status message.
- `signature` (string, optional)
- `statusDescription` (string, optional)
- `paymentProcessor` (PaymentProviderTransactionPaymentProcessor, optional)
- `thirdPartyDeclineCode` (string, optional)
- `clearingHouse` (string, optional)
- `instantSettle` (boolean, optional) — Whether instant settlement was used for transaction.

### PaymentMerchant

- `merchantId` (string, optional) — Unique Trustly Merchant ID.
- `name` (string, optional) — Merchants name.

### Verification

- `status` (enum, optional) — Verification Status: * `1`: Automatic - Payment verification followed Trustly internal rules. * `2`: ToVerify - Payment transaction is held (status = OnHold) for further investigation and approval by the merchant. * `3`: Verified - Payment was verified and approved by the merchant or Trustly (see Verification Mode). * `4`: Refused - Payment was denied by the merchant or Trustly after verification.
  - Allowed values: `1`, `2`, `3`, `4`
- `mode` (enum, optional) — Verification Mode: * `1`: VerifiedByMerchant * `2`: ApprovedByMerchant * `3`: VerifiedByTrustly * `4`: AmountAuthorizedByMerchant
  - Allowed values: `1`, `2`, `3`, `4`
- `verifyCustomer` (boolean, optional) — If true, the Customer information (name and zip code) was verified against information provided by the User's bank.

### Account

- `providerId` (string, optional) — Payment provider ID.
- `paymentProvider` (PaymentProvider, optional) — Details of the Financial institution
- `country` (enum, optional) — 2-character ISO code of the country for the bank account that was selected. Currently only the US, CA, UK, DE, and AU are supported.
  - Allowed values: `US`, `CA`, `UK`, `DE`, `AU`
- `name` (string, optional) — A description to identify a specific account (e.g. Test checking account)
- `type` (double, optional) — See Financial Institution Account Type Values.
- `profile` (double, optional) — See Financial Institution Account Profile Values
- `accountNumber` (string, optional) — Bank Account Number or VAN if `virtualAccountRoutingPair` is equal to `true`.
- `iban` (string, optional) — IBAN (International Bank Account Number) is an internationally agreed system of identifying bank accounts across national borders
- `verified` (boolean, optional) — Indicates if the account is verified or not.
- `verification` (FinancialInstitutionAccountVerification, optional)
- `source` (double, optional)
- `routingNumber` (string, optional) — Bank Routing Number
- `token` (string, optional) — The Account Token
- `accountNumberLastFour` (string, optional) — The last 4 digits of the real account number.
- `virtualAccountRoutingPair` (boolean, optional) — Indicates if account is using virtual/tokenized account and routing numbers (VANs/TANs) or not.

### PaymentProvider

Details of the Financial institution

- `name` (string, required) — Name of the payment provider
- `paymentProviderId` (string, optional) — A unique identifier for the Payment Provider.
- `type` (double, optional)
- `instantPayoutAvailable` (boolean, optional) — Whether payment provider supports instant payout.
- `subType` (enum, optional) — Financial Institution Account Type: * `1000`: Online Banking * `2000`: Manual Entry * `2001`: Manual Entry with Challenge Deposit
  - Allowed values: `1000`, `2000`, `2001`
- `swift` (string, optional)
- `address` (Address, optional) — Valid mailing or billing address associated with the customer
- `country` (enum, optional) — 2-letter ISO country code of the financial institution
  - Allowed values: `US`, `CA`, `UK`, `DE`, `AU`
- `instantPayment` (boolean, optional)

### PaymentAuth

- `token` (string, optional) — Authorization token.
- `status` (integer, optional) — See Authorization Status Values.
- `message` (string, optional) — Authorization message.

### Customer

The Trustly customer object, containing identification details and contact information.

- `name` (string, required) — Full name of the Customer
- `address` (Address, required) — Valid mailing or billing address associated with the customer
- `phone` (string, required) — Customer phone number.
- `email` (string, required) — Customer email address.
- `taxId` (string, optional) — Customer tax ID (e.g. SSN [US], SIN [CA]). *May be required depending on industry and location.*
- `dateOfBirth` (string, optional) — Customer date of birth.
- `createdAt` (integer, optional) — The record created date and time as a UNIX timestamp.
- `updatedAt` (integer, optional) — The record created date and time as a UNIX timestamp.
- `customerId` (string, optional) — A unique Trustly customer identifier.
- `externalId` (string, optional) — A unique merchant customer identifier.
- `merchantId` (string, optional) — A unique Trustly merchant identifier.
- `enrollDate` (integer, optional) — Date of the user's first transaction in your system, regardless of payment method used as a UNIX timestamp.
- `vip` (string, optional) — Range that determines how low-risk the customer represents to the merchant
- `currency` (string, optional) — Customer currency.
- `balance` (string, optional) — Customer account balance (not associated with a financial institution account).
- `organizationNumber` (string, optional) — Organization number for business accounts
- `externalTier` (string, optional) — It should describe the customer''s rank to the merchant (e.g. Gold, Diamond, 4 stars, etc.)
- `personId` (string, optional) — Unique customer identity throughout different banks.
- `customData` (CustomerCustomData, optional) — Object for sending merchant-specific custom data.
- `driverLicense` (DriverLicense, optional)
- `nationalId` (string, optional) — Customer National ID

### Address

Valid mailing or billing address associated with the customer

- `country` (string, required) — 2 character [ISO Country code](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)
- `address1` (string, optional) — Address line 1 (e.g., street or PO Box)
- `address2` (string, optional) — Address line 2 (e.g., apartment, suite or unit number)
- `city` (string, optional) — City, district, town or village
- `state` (string, optional) — State, province or region code
- `zip` (string, optional) — ZIP or Postal Code

### Recurrence

Recurring payment options

- `startDate` (datetime, optional) — Recurring payment start date as a UNIX timestamp.
- `endDate` (datetime, optional) — Recurring payment end date as a UNIX timestamp.
- `nextOccurrence` (datetime, optional) — When the next capture will be issued if using automatic captures as a UNIX timestamp.
- `recurringAmount` (string, optional) — Recurring payment amount. (maximum of 10 characters with support for 2 decimal places)
- `debtSettlement` (string, optional) — Any debt amount settlement done outside of the Trustly like discounts or when consumers pays one recurring debt using another payment method like traditional checks or credit cards. (maximum of 10 characters with support for 2 decimal places)
- `frequency` (integer, optional, default: 1) — How many payments per frequencyUnit. Defaults to 1. Example: To define 2 recurring payments every 3 months set: frequency=2, frequencyUnit=3 and frequencyUnitType=3.
- `frequencyUnit` (double, optional) — Defines with frequencyUnitType the interval of the frequency of payments.
- `frequencyUnitType` (enum, optional) — Frequency Unit Type
  - Allowed values: `Day`, `Week`, `Month`, `Year`
- `automaticCapture` (boolean, optional) — If true, payment captures are issued automatically.
- `recurrenceId` (string, optional)

### PaymentProviderTransactionPaymentProcessor

- `paymentProcessorId` (string, optional)
- `type` (integer, optional)
- `name` (string, optional)
- `shortName` (string, optional)
- `url` (string, optional)
- `active` (string, optional)

### FinancialInstitutionAccountVerification

- `verified` (boolean, required) — true if the account is verified; false otherwise.
- `type` (enum, required) — Verification Type: * `1`: Manual - The account was verified with manual account verification. For example, Manual Electronic Check and Micro Challenge Deposit. * `2`: Online Banking verification - The Account was verified using the Trustly Online Banking application. * `3`: Database verification - The Account was verified using the Trustly database or a Third-Party Service.
  - Allowed values: `1`, `2`, `3`
- `hasEnoughFunds` (boolean, required) — If true, there is enough balance in account.
- `verificationDate` (integer, required) — The date and time the verification was completed as a UNIX timestamp.
- `score` (enum, optional) — Verification Score: * `0`: Invalid input. The account or routing number are invalid. (Verified Mapping = false) * `1`: There is a strong indication that the account is invalid. (Verified Mapping = false) * `2`: There are active non-bankable returns on this account that are less than 3 years old. (Verified Mapping = false) * `3`: There are administrative returns on this account. (Verified Mapping = false) * `4`: The format appears to be suspicious. (Verified Mapping = false) * `5`: There is no data on this account or format. (Verified Mapping = false) * `6`: We have not seen this account, but the format appears to be valid. (Verified Mapping = true) * `7`: We have seen this account but have not received a final disposition on the transaction. (Verified Mapping = true) * `8`: We have seen this account, but not in the last 6 months, and have seen no returns associated with the account. (Verified Mapping = true) * `9`: We have seen this account in the last 6 months and have seen no returns associated with the account. (Verified Mapping = true) * `10`: This account has been directly validated with/by the financial institution or 3rd party. We have the highest confidence that this account is valid. (Verified Mapping = true)
  - Allowed values: `0`, `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`
- `thirdPartyScore` (enum, optional) — Verification Third-Party Score: * `0`: Failed RT validation. (Verified Mapping = 0) * `100`: The supplier has a strong indication that this account is invalid. (Verified Mapping = 1) * `200`: The supplier has active non-bankable debt(s) on this account that are less than 3 years old. (Verified Mapping = 2) * `300`: The supplier has administrative returns on this account. (Verified Mapping = 3) * `400`: The supplier does not have Neg data on this account, but the format appears to be suspicious. (Verified Mapping = 4) * `500`: The supplier does not have data on this account or format. (Verified Mapping = 5) * `600`: The supplier has not seen this account, but the format appears valid. (Verified Mapping = 6) * `700`: The supplier has seen this account, but did not receive a final disposition on the transaction. (Verified Mapping = 7) * `800`: The supplier has seen this account, but not in the last 6 months. (Verified Mapping = 8) * `900`: The supplier has seen this account in the last 6 months. (Verified Mapping = 9) * `999`: The supplier has the highest confidence that this account is valid. (Verified Mapping = 10)
  - Allowed values: `0`, `100`, `200`, `300`, `400`, `500`, `600`, `700`, `800`, `900`, `999`
- `numberOfTries` (double, optional) — Number of tries allowed.
- `numberOfAttemptsLeft` (double, optional) — Number of remaining attempts.

### CustomerCustomData

Object for sending merchant-specific custom data.

### DriverLicense

- `number` (string, required) — Driver License number.
- `state` (string, required) — 2 character ISO State code.

## Examples

**Request**

```json
{
  "merchantReference": "597E61428FCAED20",
  "amount": 1
}
```

**Response**

```json
{
  "transaction": {
    "transactionId": "1002580243",
    "transactionType": 6,
    "originalTransactionId": "1002580222",
    "payment": {
      "paymentId": "1002580220",
      "paymentType": 2,
      "merchant": {
        "merchantId": "1002463580"
      },
      "merchantReference": "123123",
      "merchantId": "1002463580",
      "fingerprint": "iSnTsj6TTOmPjqN5kE44aMkGqvk=",
      "verification": {
        "status": 3,
        "mode": 3,
        "verifyCustomer": false
      },
      "account": {
        "name": "Demo Checking Account",
        "type": -1,
        "profile": 1,
        "accountNumber": "6576",
        "verified": false,
        "verification": {
          "verified": false,
          "type": 2,
          "hasEnoughFunds": false,
          "verificationDate": 1619045543
        },
        "source": 1,
        "token": "K0B1N06576"
      },
      "description": "Order",
      "returnUrl": "https://yourdomain.com/return?",
      "cancelUrl": "https://yourdomain.com/cancel?",
      "notificationUrl": "http://yourdomain.com/notification?",
      "currency": "USD",
      "amount": "0.00",
      "paymentProvider": {
        "paymentProviderId": "200005501",
        "type": 1,
        "name": "Demo Bank",
        "instantPayoutAvailable": false
      },
      "allowedPaymentProviderType": [
        1,
        2
      ],
      "auth": {
        "token": "I1QHMEAD3DH",
        "status": 2,
        "message": "Authorized"
      },
      "authorization": "I1QHMEAD3DH",
      "authorizationStatus": 2,
      "authorizationStatusMessage": "Authorized",
      "pending": "0.00",
      "paid": "25.00",
      "refunded": "0.00",
      "reversed": "0.00",
      "balance": "25.00",
      "createdAt": 1555630391430,
      "updatedAt": 1555630418939,
      "recordVersion": 7,
      "paymentFlow": 68
    },
    "currency": "USD",
    "amount": "25.00",
    "pending": "0.00",
    "paid": "25.00",
    "refunded": "0.00",
    "reversed": "0.00",
    "balance": "25.00",
    "paymentProviderTransaction": {
      "paymentProviderTransactionId": "ptx-n5i8B6Wp2tKQprYWBsdWH7K_-sbx",
      "signature": "T:KG92TR7KLA1",
      "status": "118",
      "statusMessage": "Settled",
      "paymentProcessor": {
        "paymentProcessorId": "100000001"
      }
    },
    "status": 4,
    "statusMessage": "Completed",
    "ip": "73.93.152.163",
    "createdAt": 1555630418665,
    "processedAt": 1555630418689,
    "completedAt": 1555630418935,
    "updatedAt": 1555630418936,
    "ppTrxId": "ptx-n5i8B6Wp2tKQprYWBsdWH7K_-sbx",
    "merchantReference": "ba8dca64-883a-4c30-b7f3-48b16fa39a51",
    "automaticRepresentment": false,
    "statusCode": "AC118",
    "recordVersion": 3,
    "instantPayoutSettle": true
  }
}
```

**SDK Code**

```python Example
import requests

url = "https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit"

payload = ""
headers = {
    "Content-Type": "application/x-www-form-urlencoded"
}

response = requests.post(url, data=payload, headers=headers, auth=("<username>", "<password>"))

print(response.json())
```

```javascript Example
const url = 'https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit';
const credentials = btoa("<username>:<password>");

const options = {
  method: 'POST',
  headers: {
    Authorization: `Basic ${credentials}`,
    'Content-Type': 'application/x-www-form-urlencoded'
  },
  body: new URLSearchParams('')
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit"

	req, _ := http.NewRequest("POST", url, nil)

	req.SetBasicAuth("<username>", "<password>")
	req.Header.Add("Content-Type", "application/x-www-form-urlencoded")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example
require 'uri'
require 'net/http'

url = URI("https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<username>", "<password>")
request["Content-Type"] = 'application/x-www-form-urlencoded'

response = http.request(request)
puts response.read_body
```

```java Example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit")
  .basicAuth("<username>", "<password>")
  .header("Content-Type", "application/x-www-form-urlencoded")
  .asString();
```

```php Example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit', [
  'form_params' => null,
  'headers' => [
    'Content-Type' => 'application/x-www-form-urlencoded',
  ],
    'auth' => ['<username>', '<password>'],
]);

echo $response->getBody();
```

```csharp Example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit");
client.Authenticator = new HttpBasicAuthenticator("<username>", "<password>");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/x-www-form-urlencoded");
IRestResponse response = client.Execute(request);
```

```swift Example
import Foundation

let credentials = Data("<username>:<password>".utf8).base64EncodedString()

let headers = [
  "Authorization": "Basic \(credentials)",
  "Content-Type": "application/x-www-form-urlencoded"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox.trustly.one/api/v1/transactions/transactionId/deposit")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```